import os

import testinfra.utils.ansible_runner

import time


hosts = testinfra.utils.ansible_runner.AnsibleRunner(os.environ["MOLECULE_INVENTORY_FILE"]).get_hosts("postgres")
testinfra_hosts = [i for i in hosts if i.startswith('db0')]


def test_postgresql_check_shutdown_primary(host):
    ''' Shutdown the primary server '''

    s = host.ansible("command", "systemctl stop postgresql", become=True, check=False)
    assert s['changed']

    time.sleep(40)

    s = host.socket("tcp://127.0.0.1:5432")
    assert not s.is_listening
